Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Message Library for HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.hl7.parser
Class NodeDescList

    java.lang.Object
      com.stc.hl7.parser.NodeDescList

    public class NodeDescList

extends java.lang.Object

Holds NodeDesc Objects

Version:
  $Revision: 1.4 $
Author:
  Julie Knight

Nested Class Summary
`static class` | `NodeDescList.Type` Class to define NodeDesc types

Constructor Summary
`NodeDescList()`

Method Summary
`void` | `addNode(NodeDesc node)` Adds an NodeDesc to this template object
`boolean` | `contains(NodeDesc node)` Tests to see if the list contains a specific NodeDesc object
`byte` | `getListType()` Returns the type of list
`java.lang.String` | `getListTypeStr()` Returns the type of list as a string
`NodeDesc` | `getNode(int index)` Get NodeDesc by index
`NodeDesc` | `getNodeByName(java.lang.String name)` Returns a NodeDesc object based on its name
`java.util.ArrayList` | `getNodes()` Returns the node values as an ArrayList
`void` | `setListType(byte type)` Set the type of list
`int` | `size()` Returns the number of nodes in this list
`java.lang.String` | `toString()` Outputs the list in string format

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NodeDescList

    public NodeDescList()

Method Detail

### addNode

    public void addNode(NodeDesc node)

  Adds an NodeDesc to this template object

  Parameters:
    `node` - The NodeDesc to be added

### getNodes

    public java.util.ArrayList getNodes()

  Returns the node values as an ArrayList

  Returns:
    Node Values

### getNode

    public NodeDesc getNode(int index)

  Get NodeDesc by index

  Returns:
    NodeDesc object

### getNodeByName

    public NodeDesc getNodeByName(java.lang.String name)

  Returns a NodeDesc object based on its name

  Returns:
    The NodeDesc, null if it doesn't exist

### setListType

    public void setListType(byte type)

  Set the type of list

  Parameters:
    `type` - List Type

### getListType

    public byte getListType()

  Returns the type of list

  Returns:
    List Type

### getListTypeStr

    public java.lang.String getListTypeStr()

  Returns the type of list as a string

  Returns:
    List Type as string

### size

    public int size()

  Returns the number of nodes in this list

  Returns:
    Number of nodes

### contains

    public boolean contains(NodeDesc node)

  Tests to see if the list contains a specific NodeDesc object

  Parameters:
    `node` - The NodeDesc object to be tested
  Returns:
    true if the NodeDesc object is present; otherwise false

### toString

    public java.lang.String toString()

  Outputs the list in string format

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    String list

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Message Library for HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD